RN.PARAMS.push({
	"TargetType"			: 0,
	"TargetType_DESC"		: "目标类型：0->同时应用文件和文件夹（默认）；1->只应用文件；2->只应用文件夹"
});

RN.RULES.push(function(filePath, isFile)
{
	if ( (params["TargetType"] != 0 && ((params["TargetType"]==1&& !isFile) || (params["TargetType"]==2&& isFile))) ||
		 (params["TargetType"] != 0 && params["TargetType"] != 1 && params["TargetType"] != 2) )
		return "";
	
	var fileName = RN.GetFileName(filePath);
	var newFileName = escape(fileName);
	var newFilePath = RN.GetPath(filePath) + "\\" + newFileName;
	return newFilePath;
});